<?php

namespace App\Http\Controllers\Admin\Dashboard;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\User;
use App\Models\Content;
// use App\Models\Role;
use Spatie\Permission\Models\Role;
use App\Models\Company; // Add this
use App\Models\Site;    // Add this
use App\Models\Risk;
use App\Models\Category;
use App\Models\Location;
use DB;

class DashboardController extends Controller
{
    public function index(Request $request)
    {
        if (User::role('admin')->find(Auth::user()->id)) {
            $startDate = $request->input('startDate', date('Y-m-d 00:00:00'));
            $endDate = $request->input('endDate', date('Y-m-d 23:59:59', strtotime("+1 days")));
    
            $users = User::count();
            $contents = Content::count();
            $roles = Role::count();
            
            return view('admin.dashboard.index', compact(
                'users', 'contents', 'roles',
            ));
        }
    }

}
