<?php

namespace App\Http\Controllers\Admin\Setting;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;
use Brian2694\Toastr\Facades\Toastr;
use Illuminate\Support\Str;

class SettingController extends Controller
{
    public function index(Request $request)
    {
        $data['favicon'] = Setting::where('name', 'favicon')->first();
        $data['logo'] = Setting::where('name', 'logo')->first();
    
        $data['company_name'] = Setting::where('name', 'company_name')->first();
        $data['email'] = Setting::where('name', 'email')->first();
        $data['secondary_email'] = Setting::where('name', 'secondary_email')->first();
        $data['contact_number'] = Setting::where('name', 'contact_number')->first();
        $data['vat'] = Setting::where('name', 'vat')->first();
        $data['commission'] = Setting::where('name', 'commission')->first();
        $data['whatsapp_number'] = Setting::where('name', 'whatsapp_number')->first();
        $data['address'] = Setting::where('name', 'address')->first();
        $data['facebook_url'] = Setting::where('name', 'facebook_url')->first();
        $data['youtube_url'] = Setting::where('name', 'youtube_url')->first();
        $data['instagram_url'] = Setting::where('name', 'instagram_url')->first();
        $data['x_url'] = Setting::where('name', 'x_url')->first();
        $data['linkedin_url'] = Setting::where('name', 'linkedin_url')->first();

        if ($data['company_name']) {
            $data['company_name'] = $data['company_name']->value;
        } else {
            $data['company_name'] = '';
        }

        if ($data['email']) {
            $data['email'] = $data['email']->value;
        } else {
            $data['email'] = '';
        }

        if ($data['secondary_email']) {
            $data['secondary_email'] = $data['secondary_email']->value;
        } else {
            $data['secondary_email'] = '';
        }

        if ($data['contact_number']) {
            $data['contact_number'] = $data['contact_number']->value;
        } else {
            $data['contact_number'] = '';
        }

        if ($data['commission']) {
            $data['commission'] = $data['commission']->value;
        } else {
            $data['commission'] = '';
        }

        if ($data['vat']) {
            $data['vat'] = $data['vat']->value;
        } else {
            $data['vat'] = '';
        }

        if ($data['whatsapp_number']) {
            $data['whatsapp_number'] = $data['whatsapp_number']->value;
        } else {
            $data['whatsapp_number'] = '';
        }

        if ($data['address']) {
            $data['address'] = $data['address']->value;
        } else {
            $data['address'] = '';
        }
        
        if ($data['facebook_url']) {
            $data['facebook_url'] = $data['facebook_url']->value;
        } else {
            $data['facebook_url'] = '';
        }
        
        if ($data['youtube_url']) {
            $data['youtube_url'] = $data['youtube_url']->value;
        } else {
            $data['youtube_url'] = '';
        }
        
        if ($data['instagram_url']) {
            $data['instagram_url'] = $data['instagram_url']->value;
        } else {
            $data['instagram_url'] = '';
        }
        
        if ($data['x_url']) {
            $data['x_url'] = $data['x_url']->value;
        } else {
            $data['x_url'] = '';
        }
        
        if ($data['linkedin_url']) {
            $data['linkedin_url'] = $data['linkedin_url']->value;
        } else {
            $data['linkedin_url'] = '';
        }

        return view('admin.settings.index', compact('data'));

        // $data = Setting::where('name', $request->all())->get();

        // foreach ($data as $key => $row)
        // {
        //  // print_r($area);
        //     // return $data->$row;
        //     return view('admin.settings.index', compact('data'));
        //  // return view('admin.settings.index', compact('area'));
        // }

        // $data = Setting:: 

        // foreach($request->requiredFields as $data){
        //     echo $request->{$data};
        // }

        // return $data->value;

        // // dd($data, json_decode($data));.
        // // $data['data'] = json_decode($data);

        // foreach ($data as $area)
        // {
        //  // print_r($area);
        //  return view('admin.settings.index', compact('area'));
        // }


        // return view('admin.settings.index', compact('data'));
    }

    public function store(Request $request)
    {
        $path = public_path('uploads/settings');
        if (!file_exists($path)) {
            mkdir($path, 0777, true);
        }
    
        foreach ($request->all() as $key => $value) {
            if ($key != '_token') {
                if ($key == 'logo' && $request->hasFile('logo')) {
                    $file = $request->file('logo');
                    $filename = 'logo.' . $file->getClientOriginalExtension();
                    $file->move($path, $filename);
                    $value = $filename;
                }
    
                if ($key == 'favicon' && $request->hasFile('favicon')) {
                    $file = $request->file('favicon');
                    $filename = 'favicon.' . $file->getClientOriginalExtension();
                    $file->move($path, $filename);
                    $value = $filename;
                }
    
                $setting = Setting::where('name', $key)->first();
                if ($setting) {
                    $setting->update(['value' => $value, 'added_by' => \Auth::user()->id]);
                } else {
                    Setting::create(['name' => $key, 'value' => $value, 'added_by' => \Auth::user()->id]);
                }
            }
        }
    
        Toastr::success('Settings have been updated successfully.', 'Success');
        return redirect()->back();
    }
}
