<?php

namespace App\Http\Resources\Frontend\User\Auth;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Arr;

class GetUserProfile extends JsonResource
{
    public function toArray($request)
    {   
        $imageUrl = $this->image ? asset(str_replace('public/', 'public/', $this->image)) : null;
        
        return [
            'id' => $this->id ?? '',
            'name' => $this->name ?? '',
            'email' => $this->email ?? '',
            'phone' => $this->phone ?? '',
            'phone' => $this->phone ?? '',
            'experience' => $this->experience ?? '',
            'gender' => $this->gender ?? '',
            'speciality' => $this->speciality ?? '',
            // 'image' => $this->image ?? '',
            'image' => $imageUrl,
            'roles' => $this->getRoleNames(),
            'community' => $this->whenLoaded('community'),
            'chief_posts' => $this->whenLoaded('chiefPosts', function() {
                return $this->chiefPosts->load([
                    'images',
                    'comments.user:id,name,image', 
                    'comments.replies.user:id,name,image'
                ]);
            }),
            'reviews' => $this->whenLoaded('reviews', function () {
                return $this->reviews->map(function ($review) {
                    $review->reaction_counts = $review->getReactionCounts();
                    return $review;
                });
            }),
        ];
    }
}