<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class ChiefCommentReply extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['comment_id', 'user_id', 'parent_id', 'content', 'post_id'];

    /**
     * Get the activity log options for the model.
     *
     * @return \Spatie\Activitylog\LogOptions
     */

    public function user()
    {
        return $this->belongsTo(User::class);
    }
 
    public function comment()
    {
        return $this->belongsTo(ChiefComment::class, 'comment_id');
    }

    public function parent()
    {
        return $this->belongsTo(ChiefCommentReply::class, 'parent_id');
    }

    public function replies()
    {
        return $this->hasMany(ChiefCommentReply::class, 'parent_id')->with('user', 'replies');
    }
}