<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;

class ChiefPostReaction extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['post_id', 'user_id', 'type'];

    /**
     * Get the activity log options for the model.
     *
     * @return \Spatie\Activitylog\LogOptions
     */
     
     public function post()
    {
        return $this->belongsTo(ChiefPost::class, 'post_id'); // Explicitly set the foreign key
    }
    
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}