<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class Content extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['name', 'value'];

    /**
     * Get the activity log options for the model.
     *
     * @return \Spatie\Activitylog\LogOptions
     */
    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly(['name', 'value']) // Log specific attributes
            ->logOnlyDirty() // Log only changed attributes
            ->useLogName('content') // Set a custom log name
            ->setDescriptionForEvent(fn(string $eventName) => "Content {$eventName}");
    }
}