<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;

class Job extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['user_id', 'company', 'title', 'location', 'salary', 'type', 'date', 'status', 'description','restaurant_name', 'experience', 'address', 'city',
    'state', 'postal_code', 'specialities'];
    /**
     * Get the activity log options for the model.
     *
     * @return \Spatie\Activitylog\LogOptions
     */

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}