<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;

class JobApply extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['user_id', 'job_id', 'resume', 'cover_letter'];
    /**
     * Get the activity log options for the model.
     *
     * @return \Spatie\Activitylog\LogOptions
     */
     
     public function getResumeUrlAttribute()
    {
        return $this->resume ? url($this->resume) : null;
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function job()
    {
        return $this->belongsTo(Job::class);
    }
}