<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class Permission extends \Spatie\Permission\Models\Permission
{
    use LogsActivity;

    protected $primaryKey = 'id';
    public $incrementing = false;
    protected $guarded = [];

    /**
     * Get the activity log options for the model.
     *
     * @return \Spatie\Activitylog\LogOptions
     */
    public function getActivitylogOptions(): LogOptions
    {
        return LogOptions::defaults()
            ->logOnly(['name', 'guard_name']) // Log specific attributes
            ->logOnlyDirty() // Log only changed attributes
            ->useLogName('permission') // Set a custom log name
            ->setDescriptionForEvent(fn(string $eventName) => "Permission {$eventName}");
    }
}