<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;

class PostImage extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['post_id', 'image'];

    /**
     * Get the activity log options for the model.
     *
     * @return \Spatie\Activitylog\LogOptions
     */
     
    public function getImageAttribute($value)
    {
        if (!$value) {
            return null;
        }
        return asset(str_replace('public/', '', $value));
    }
}