<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;

class ReviewImage extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['review_id', 'image'];

    public function review()
    {
        return $this->belongsTo(Review::class);
    }

    public function getImageAttribute($value)
    {
        if (!$value) {
            return null;
        }
        return asset(str_replace('public/', '', $value));
    }
}
