<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;

class ReviewReaction extends Model
{
    use HasFactory, LogsActivity;

    protected $fillable = ['review_id', 'user_id', 'type'];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function images()
    {
        return $this->hasMany(ReviewImage::class);
    }

    public function review()
    {
        return $this->belongsTo(Review::class);
    }
}
