@extends('admin.layouts.master')

@section('title')
      Create User
  @endsection

@section('content')
<section class="section">
    <div class="section-body">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <x-cardheader title="Create User" />
              <x-form action="{{ route('users.store') }}" method="POST" enctype="multipart/form-data">
                <div class="card-body">
                <x-forms.input title="Name" type="text" name="name" placeholder="Name" />
                <x-forms.input title="Email" type="email" name="email" placeholder="Email" />
                <x-forms.input title="Password" type="password" name="password" placeholder="Password" />
                <x-forms.input title="Confirm Password" type="password" name="confirm-password" placeholder="Confirm Password" />
                
                <div class="form-group row mb-4">
                    <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Location</label>
                    <div class="col-sm-12 col-md-7">
                        <select id="location-dropdown" class="form-control selectric" name="location_id[]" multiple="multiple">
                            <option value="">Select a Location</option>
                        </select>
                    </div>
                </div>
                
                <div class="form-group row mb-4">
                    <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Site</label>
                    <div class="col-sm-12 col-md-7">
                        <select id="site-dropdown" class="form-control selectric" name="site_id[]" multiple="multiple">
                            <option value="">Select a Site</option>
                        </select>
                    </div>
                </div>
                
                <div class="form-group row mb-4">
                    <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">User Type</label>
                    <div class="col-sm-12 col-md-7">
                        {!! Form::select('user_type_id', $userTypes, null, ['class' => 'form-control selectric', 'id' => 'user-type-dropdown']) !!}
                    </div>
                </div>
        
                <div class="form-group row mb-4">
                  <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Role</label>
                  <div class="col-sm-12 col-md-7">
                    {!! Form::select('roles[]', $roles,[], array('class' => 'form-control selectric')) !!}
                  </div>
                </div>
                <x-forms.primary-button>Submit</x-forms.primary-button>            
                </div>
              </x-form>
            </div>
          </div>
        </div>
    </div>
</section>
@endsection

@push('js')

<script type="text/javascript">
    $(document).ready(function () {
        $('#company-dropdown').on('change', function () {
            var companyIds = $(this).val();
            $("#location-dropdown").html('');
            $.ajax({
                url: "{{ route('users.getLocations') }}",
                type: "POST",
                data: {
                    company_id: companyIds,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    $('#location-dropdown').html('<option value="">Select a Location</option>');
                    $.each(result.locations, function (key, value) {
                        $("#location-dropdown").append('<option value="' + value.id + '">' + value.name + '</option>');
                    });
                    $('#location-dropdown').selectric('refresh');
                }
            });
        });

        // Load sites when a location is selected
        $('#location-dropdown').on('change', function () {
            var locationIds = $(this).val(); // Get selected location IDs
            $("#site-dropdown").html('');
            $.ajax({
                url: "{{ route('users.getSites') }}",
                type: "POST",
                data: {
                    location_id: locationIds,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    $('#site-dropdown').html('<option value="">Select a Site</option>');
                    $.each(result.sites, function (key, value) {
                        $("#site-dropdown").append('<option value="' + value.id + '">' + value.name + '</option>');
                    });
                    $('#site-dropdown').selectric('refresh');
                }
            });
        });

    });
</script>

@endpush
