@extends('admin.layouts.master')

@section('title')
      Edit Admin 
  @endsection

@section('content')
<section class="section">
    <div class="section-body">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <x-cardheader title="Edit User" />
              <x-form action="{{ route('users.update', $user->id) }}" method="POST" enctype="multipart/form-data">
    @csrf
    @method('PUT')
    <div class="card-body">
        <x-forms.input title="Name" type="text" name="name" placeholder="Name" value="{{ $user->name }}" />
        <x-forms.input title="Email" type="email" name="email" placeholder="Email" value="{{ $user->email }}" />
        <x-forms.input title="Password" type="password" name="password" placeholder="Leave blank if not changing" />
        <x-forms.input title="Confirm Password" type="password" name="confirm-password" placeholder="Confirm Password" />
        
        <div class="form-group row mb-4">
            <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Role</label>
            <div class="col-sm-12 col-md-7">
                {!! Form::select('roles[]', $roles, $userRole, ['class' => 'form-control selectric', 'multiple']) !!}
            </div>
        </div>

        <x-forms.primary-button>Update</x-forms.primary-button>
    </div>
</x-form>

            </div>
          </div>
        </div>
    </div>
</section>
@endsection

@push('js')
<script type="text/javascript">
    $(document).ready(function () {
        $('#company-dropdown').on('change', function () {
            var companyIds = $(this).val();
            $("#location-dropdown").html('');
            $.ajax({
                url: "{{ route('users.getLocations') }}",
                type: "POST",
                data: {
                    company_id: companyIds,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    $('#location-dropdown').html('<option value="">Select a Location</option>');
                    $.each(result.locations, function (key, value) {
                        $("#location-dropdown").append('<option value="' + value.id + '">' + value.name + '</option>');
                    });
                    $('#location-dropdown').selectric('refresh');
                }
            });
        });

        $('#location-dropdown').on('change', function () {
            var locationIds = $(this).val();
            $("#site-dropdown").html('');
            $.ajax({
                url: "{{ route('users.getSites') }}",
                type: "POST",
                data: {
                    location_id: locationIds,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    $('#site-dropdown').html('<option value="">Select a Site</option>');
                    $.each(result.sites, function (key, value) {
                        $("#site-dropdown").append('<option value="' + value.id + '">' + value.name + '</option>');
                    });
                    $('#site-dropdown').selectric('refresh');
                }
            });
        });
    });
</script>
@endpush