<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
  <title>@yield('title') | {{ucfirst(basename(base_path()))}} - Admin Dashboard</title>
  <!-- General CSS Files index -->
  <link rel="stylesheet" href="{{ asset('assets/admin/css/app.min.css') }}">
  <!-- General CSS Files create-post -->
  <link rel="stylesheet" href="{{ asset('assets/admin/bundles/summernote/summernote-bs4.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/admin/bundles/jquery-selectric/selectric.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/admin/bundles/bootstrap-tagsinput/dist/bootstrap-tagsinput.css') }}">
  <!-- General CSS Files datatables -->
  <link rel="stylesheet" href="{{ asset('assets/admin/bundles/datatables/datatables.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/admin/bundles/datatables/DataTables-1.10.16/css/dataTables.bootstrap4.min.css') }}">
  <!-- Template CSS -->
  <link rel="stylesheet" href="{{ asset('assets/admin/css/style.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/admin/css/components.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/admin/bundles/pretty-checkbox/pretty-checkbox.min.css') }}">
  <!-- Custom style CSS -->
  <link rel="stylesheet" href="{{ asset('assets/admin/css/custom.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/admin/css/dark-style.css') }}">
  <!--<link rel='shortcut icon' type='image/x-icon' href="{{ asset('assets/admin/img/favicon.ico') }}">-->
  <link rel="shortcut icon" type="image/x-icon" href="{{ asset('uploads/settings/favicon.jpg') }}">
  <link rel="stylesheet" href="{{ asset('assets/admin/backend/css/toastr.min.css') }}">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">  
</head>

<body>
    
    <div id="app">
        <div class="main-wrapper main-wrapper-1">
            <div class="main-content">
                <section class="section">
        <div class="row ">
            <div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="card">
                    <div class="card-statistic-4">
                        <div class="align-items-center justify-content-between">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pr-0 pt-3">
                                    <div class="card-content">
                                        <h5 class="font-15">Total Users</h5>
                                        <!--<h6 class="font-15">Total Number of Users</h6>-->
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 text-center">
                                    <h2 class="mb-3" style="font-size: 36px; margin-top: 10px; color: #f00;">{{ $users }}</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="card">
                    <div class="card-statistic-4">
                        <div class="align-items-center justify-content-between">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pr-0 pt-3">
                                    <div class="card-content">
                                        <h5 class="font-15">Total Companies</h5>
                                        <!--<h6 class="font-15">Total Number of Companies</h6>-->
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 text-center">
                                    <h2 class="mb-3" style="font-size: 36px; margin-top: 10px; color: #f00;">{{ $total_companies }}</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="card">
                    <div class="card-statistic-4">
                        <div class="align-items-center justify-content-between">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pr-0 pt-3">
                                    <div class="card-content">
                                        <h5 class="font-15">Total Sites</h5>
                                        <!--<h6 class="font-15">Total Number of Sites</h6>-->
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 text-center">
                                    <h2 class="mb-3" style="font-size: 36px; margin-top: 10px; color: #f00;">{{ $total_sites }}</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="card">
                    <div class="card-statistic-4">
                        <div class="align-items-center justify-content-between">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pr-0 pt-3">
                                    <div class="card-content">
                                        <h5 class="font-15">Total Risks</h5>
                                        <!--<h6 class="font-15">Total Number of Risks</h6>-->
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 text-center">
                                    <h2 class="mb-3" style="font-size: 36px; margin-top: 10px; color: #f00;">{{ $total_risks }}</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>HSE Leader Reports</h4>
                    </div>
                    <div class="card-body">
                        <canvas id="leaderChart"></canvas>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>HSE Expert Reports</h4>
                    </div>
                    <div class="card-body">
                        <canvas id="expertChart"></canvas>
                    </div>
                </div>
            </div>
            
            
            <!-- Top Risks Pie Chart -->
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>Top Risks</h4>
                    </div>
                    <div class="card-body">
                        <div id="topRisksChart"></div>
                    </div>
                </div>
            </div>
        
            <!-- Top Risk Types Bar Chart -->
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>Top Risk Types</h4>
                    </div>
                    <div class="card-body">
                        <div id="topRiskTypesChart"></div>
                    </div>
                </div>
            </div>
        
        </div>
    </section>
            </div>
            </div>
          </div>
          <!-- General JS Scripts -->
          <script src="{{ asset('assets/admin/js/app.min.js') }}"></script>
          <!-- JS Libraies index-->
          <script src="{{ asset('assets/admin/bundles/apexcharts/apexcharts.min.js') }}"></script>
          <!-- JS Libraies create-post-->
          <script src="{{ asset('assets/admin/bundles/summernote/summernote-bs4.js') }}"></script>
          <script src="{{ asset('assets/admin/bundles/jquery-selectric/jquery.selectric.min.js') }}"></script>
          <script src="{{ asset('assets/admin/bundles/upload-preview/assets/js/jquery.uploadPreview.min.js') }}"></script>
          <script src="{{ asset('assets/admin/bundles/bootstrap-tagsinput/dist/bootstrap-tagsinput.min.js') }}"></script>
          <!-- JS Libraies datatables -->
          <script src="{{ asset('assets/admin/bundles/datatables/datatables.min.js') }}"></script>
          <script src="{{ asset('assets/admin/bundles/datatables/DataTables-1.10.16/js/dataTables.bootstrap4.min.js') }}"></script>
          <script src="{{ asset('assets/admin/bundles/jquery-ui/jquery-ui.min.js') }}"></script>
          <!-- Page Specific JS File index -->
          <script src="{{ asset('assets/admin/js/page/index.js') }}"></script>
          <!-- Page Specific JS File create-post -->
          <script src="{{ asset('assets/admin/js/page/create-post.js') }}"></script>
          <!-- Page Specific JS File datatables -->
          <script src="{{ asset('assets/admin/js/page/datatables.js') }}"></script>
          <!-- Template JS File -->
          <script src="{{ asset('assets/admin/js/scripts.js') }}"></script>
          <!-- Custom JS File -->
          <script src="{{ asset('assets/admin/js/custom.js') }}"></script>
          <script src="{{ asset('assets/admin/js/dark.js') }}"></script>
          <script src="{{ asset('assets/admin/backend/js/toastr.min.js') }}"></script>
         
         <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>

    <!-- Sweet Alert Js -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.1/dist/sweetalert2.all.min.js"></script>

    <script type="text/javascript">
        function deleteItem(id) {
            const swalWithBootstrapButtons = swal.mixin({
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
                buttonsStyling: false,
            })

            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete it!',
                cancelButtonText: 'No, cancel!',
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    event.preventDefault();
                    document.getElementById('delete-form-'+id).submit();
                } else if (
                    // Read more about handling dismissals
                    result.dismiss === swal.DismissReason.cancel
                ) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your data is safe :)',
                        'error'
                    )
                }
            })
        }
    </script>
    
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            var riskCategories = @json($categories);
            var riskData = @json($riskCounts);
        
            var riskTypes = @json($riskTypes);
            var highRisks = @json($highRisks);
            var minorRisks = @json($minorRisks);
            var goodRisks = @json($goodRisks);
        
            riskData = riskData.map(Number);
        
            // Common dimensions for both charts
            var chartHeight = 350;
            var chartWidth = '100%';
        
            // Pie Chart for Top Risks
            var options1 = {
                series: riskData, 
                chart: { type: 'pie', height: chartHeight, width: chartWidth }, // Set common height and width
                labels: riskCategories,
                colors: ['#6a0dad', '#FFD700', '#FF4500', '#1E90FF', '#555', '#20B2AA']
            };
        
            var chart1 = new ApexCharts(document.querySelector("#topRisksChart"), options1);
            chart1.render();
        
            // Bar Chart for Top Risk Types
            var options2 = {
                series: [
                    { name: 'High', data: highRisks },
                    { name: 'Minor', data: minorRisks },
                    { name: 'Good', data: goodRisks }
                ],
                chart: { type: 'bar', stacked: true, height: chartHeight, width: chartWidth }, // Set common height and width
                plotOptions: {
                    bar: {
                        horizontal: true,
                        barHeight: '50%'  // Adjust this value to reduce the bar height (e.g., '30%' or '40%')
                    }
                },
                colors: ['#ff0000', '#ffa500', '#32cd32'],
                xaxis: { categories: riskTypes }
            };
        
            var chart2 = new ApexCharts(document.querySelector("#topRiskTypesChart"), options2);
            chart2.render();
        });
    </script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script>
    // Leader Risks Data
    const leaderRisks = @json($leaderRisks);
    const leaderDates = Object.keys(leaderRisks);
    const leaderHighData = leaderDates.map(date => leaderRisks[date]['High'] || 0);
    const leaderMinorData = leaderDates.map(date => leaderRisks[date]['Minor'] || 0);
    const leaderGoodData = leaderDates.map(date => leaderRisks[date]['Good'] || 0);

    // Expert Risks Data
    const expertRisks = @json($expertRisks);
    const expertDates = Object.keys(expertRisks);
    const expertHighData = expertDates.map(date => expertRisks[date]['High'] || 0);
    const expertMinorData = expertDates.map(date => expertRisks[date]['Minor'] || 0);
    const expertGoodData = expertDates.map(date => expertRisks[date]['Good'] || 0);

    // Leader Chart
    const leaderChartData = {
        labels: leaderDates,
        datasets: [
            {
                label: 'High',
                borderColor: 'red',
                backgroundColor: 'red',
                data: leaderHighData,
                tension: 0.4
            },
            {
                label: 'Minor',
                borderColor: 'orange',
                backgroundColor: 'orange',
                data: leaderMinorData,
                tension: 0.4
            },
            {
                label: 'Good',
                borderColor: 'green',
                backgroundColor: 'green',
                data: leaderGoodData,
                tension: 0.4
            }
        ]
    };

    const leaderChartConfig = {
        type: 'line',
        data: leaderChartData,
        options: {
            responsive: true,
            plugins: {
                legend: {
                    display: true
                }
            }
        }
    };

    new Chart(document.getElementById('leaderChart'), leaderChartConfig);

    // Expert Chart
    const expertChartData = {
        labels: expertDates,
        datasets: [
            {
                label: 'High',
                borderColor: 'red',
                backgroundColor: 'red',
                data: expertHighData,
                tension: 0.4
            },
            {
                label: 'Minor',
                borderColor: 'orange',
                backgroundColor: 'orange',
                data: expertMinorData,
                tension: 0.4
            },
            {
                label: 'Good',
                borderColor: 'green',
                backgroundColor: 'green',
                data: expertGoodData,
                tension: 0.4
            }
        ]
    };

    const expertChartConfig = {
        type: 'line',
        data: expertChartData,
        options: {
            responsive: true,
            plugins: {
                legend: {
                    display: true
                }
            }
        }
    };

    new Chart(document.getElementById('expertChart'), expertChartConfig);
</script>
        
        </body>
        </html>
