@extends('admin.layouts.master')

@section('title')
    Dashboard
@endsection

@section('content')

@role('admin')
    <section class="section">
        <div class="row ">
            <div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 col-xs-12">
                <div class="card">
                    <div class="card-statistic-4">
                        <div class="align-items-center justify-content-between">
                            <div class="row">
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 pr-0 pt-3">
                                    <div class="card-content">
                                        <h5 class="font-15">Total Users</h5>
                                        <!--<h6 class="font-15">Total Number of Users</h6>-->
                                    </div>
                                </div>
                                <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 text-center">
                                    <h2 class="mb-3" style="font-size: 36px; margin-top: 10px; color: #f00;">{{ $users }}</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            
            <div class="row ">
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>HSE Leader Reports</h4>
                    </div>
                    <div class="card-body">
                        <canvas id="leaderChart"></canvas>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>HSE Expert Reports</h4>
                    </div>
                    <div class="card-body">
                        <canvas id="expertChart"></canvas>
                    </div>
                </div>
            </div>
            
            
            <!-- Top Risks Pie Chart -->
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>Top Risks</h4>
                    </div>
                    <div class="card-body">
                        <div id="topRisksChart"></div>
                    </div>
                </div>
            </div>
        
            <!-- Top Risk Types Bar Chart -->
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <h4>Top Risk Types</h4>
                    </div>
                    <div class="card-body">
                        <div id="topRiskTypesChart"></div>
                    </div>
                </div>
            </div>
        
        </div>
    </section>
@endrole

@endsection

@push('js')
  <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>

    <!-- Sweet Alert Js -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.1/dist/sweetalert2.all.min.js"></script>

    <script type="text/javascript">
        function deleteItem(id) {
            const swalWithBootstrapButtons = swal.mixin({
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
                buttonsStyling: false,
            })

            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete it!',
                cancelButtonText: 'No, cancel!',
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    event.preventDefault();
                    document.getElementById('delete-form-'+id).submit();
                } else if (
                    // Read more about handling dismissals
                    result.dismiss === swal.DismissReason.cancel
                ) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your data is safe :)',
                        'error'
                    )
                }
            })
        }
    </script>
@endpush