@extends('admin.layouts.master')

@section('title')
    Create Jobs 
@endsection

@section('content')

<section class="section">
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <x-cardheader title="Create Jobs" /> 
                    <x-form action="{{ route('jobs.store') }}" method="POST">
                        <div class="card-body">
                            
                            {{-- Job Title --}}
                            <x-forms.input 
                                title="Job Title" 
                                type="text" 
                                name="title" 
                                value="{{ old('title') }}" 
                                placeholder="Enter job title" 
                            />
                            
                            {{-- Location --}}
                            <x-forms.input 
                                title="Location" 
                                type="text" 
                                name="location" 
                                value="{{ old('location') }}" 
                                placeholder="Enter location" 
                            />
                            
                            {{-- Salary --}}
                            <x-forms.input 
                                title="Salary" 
                                type="number" 
                                name="salary" 
                                value="{{ old('salary') }}" 
                                placeholder="Enter salary (optional)" 
                            />

                            {{-- Job Type --}}
                            <div class="form-group row mb-4">
                                <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Type</label>
                                <div class="col-sm-12 col-md-7">
                                    <select class="form-control selectric" name="type" required>
                                        <option value="">-- Select Type --</option>
                                        <option value="Full Time" {{ old('type') == 'Full Time' ? 'selected' : '' }}>Full Time</option>
                                        <option value="Part Time" {{ old('type') == 'Part Time' ? 'selected' : '' }}>Part Time</option>
                                        <option value="Internship" {{ old('type') == 'Internship' ? 'selected' : '' }}>Internship</option>
                                        <option value="Remote" {{ old('type') == 'Remote' ? 'selected' : '' }}>Remote</option>
                                    </select>
                                </div>
                            </div>

                            {{-- Description --}}
                            <div class="form-group row mb-4">
                                <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Description</label>
                                <div class="col-sm-12 col-md-7">
                                    <textarea 
                                        name="description" 
                                        class="form-control" 
                                        rows="5" 
                                        style="min-height: 170px!important"
                                        required
                                    >{{ old('description') }}</textarea>
                                </div>
                            </div>

                            {{-- Restaurant Name --}}
                            <x-forms.input 
                                title="Restaurant Name" 
                                type="text" 
                                name="restaurant_name" 
                                value="{{ old('restaurant_name') }}" 
                                placeholder="Enter restaurant name" 
                            />

                            {{-- Experience --}}
                            <x-forms.input 
                                title="Years of Experience" 
                                type="number" 
                                name="experience" 
                                value="{{ old('experience') }}" 
                                placeholder="Enter years of experience" 
                            />

                            {{-- Address --}}
                            <x-forms.input 
                                title="Address" 
                                type="text" 
                                name="address" 
                                value="{{ old('address') }}" 
                                placeholder="Enter full address" 
                            />

                            {{-- City --}}
                            <x-forms.input 
                                title="City" 
                                type="text" 
                                name="city" 
                                value="{{ old('city') }}" 
                                placeholder="Enter city" 
                            />

                            {{-- State --}}
                            <x-forms.input 
                                title="State / Province" 
                                type="text" 
                                name="state" 
                                value="{{ old('state') }}" 
                                placeholder="Enter state or province" 
                            />

                            {{-- Postal Code --}}
                            <x-forms.input 
                                title="Postal / Zip Code" 
                                type="text" 
                                name="postal_code" 
                                value="{{ old('postal_code') }}" 
                                placeholder="Enter postal/zip code" 
                            />

                            {{-- Specialities --}}
                            <x-forms.input 
                                title="Specialities" 
                                type="text" 
                                name="specialities" 
                                value="{{ old('specialities') }}" 
                                placeholder="e.g. Italian, Sushi, Bakery" 
                            />
                        </div>

                        <x-forms.primary-button>Submit</x-forms.primary-button>
                    </x-form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
