@extends('admin.layouts.master')

@section('title')
    Edit Content 
@endsection

@section('content')
<section class="section">
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <x-cardheader title="Edit Content" />
                    <x-form action="{{ route('jobs.update', $content->id) }}" method="patch">
                        <div class="card-body">

                            {{-- Title --}}
                            <x-forms.input 
                                title="Title" 
                                type="text" 
                                name="title" 
                                value="{{ old('title', $content->title ?? '') }}" 
                                placeholder="Job title" 
                            />

                            {{-- Location --}}
                            <x-forms.input 
                                title="Location" 
                                type="text" 
                                name="location" 
                                value="{{ old('location', $content->location ?? '') }}" 
                                placeholder="Location" 
                            />

                            {{-- Salary --}}
                            <x-forms.input 
                                title="Salary" 
                                type="number" 
                                name="salary" 
                                value="{{ old('salary', $content->salary ?? '') }}" 
                                placeholder="Salary" 
                            />

                            {{-- Restaurant Name --}}
                            <x-forms.input 
                                title="Restaurant Name" 
                                type="text" 
                                name="restaurant_name" 
                                value="{{ old('restaurant_name', $content->restaurant_name ?? '') }}" 
                                placeholder="Restaurant Name" 
                            />

                            {{-- Experience --}}
                            <x-forms.input 
                                title="Experience" 
                                type="text" 
                                name="experience" 
                                value="{{ old('experience', $content->experience ?? '') }}" 
                                placeholder="Experience Required" 
                            />

                            {{-- Address --}}
                            <x-forms.input 
                                title="Address" 
                                type="text" 
                                name="address" 
                                value="{{ old('address', $content->address ?? '') }}" 
                                placeholder="Address" 
                            />

                            {{-- City --}}
                            <x-forms.input 
                                title="City" 
                                type="text" 
                                name="city" 
                                value="{{ old('city', $content->city ?? '') }}" 
                                placeholder="City" 
                            />

                            {{-- State --}}
                            <x-forms.input 
                                title="State" 
                                type="text" 
                                name="state" 
                                value="{{ old('state', $content->state ?? '') }}" 
                                placeholder="State" 
                            />

                            {{-- Postal Code --}}
                            <x-forms.input 
                                title="Postal Code" 
                                type="text" 
                                name="postal_code" 
                                value="{{ old('postal_code', $content->postal_code ?? '') }}" 
                                placeholder="Postal Code" 
                            />

                            {{-- Specialities --}}
                            <x-forms.input 
                                title="Specialities" 
                                type="text" 
                                name="specialities" 
                                value="{{ old('specialities', $content->specialities ?? '') }}" 
                                placeholder="Specialities" 
                            />

                            {{-- Type Dropdown --}}
                            <div class="form-group row mb-4">
                                <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Type</label>
                                <div class="col-sm-12 col-md-7">
                                    <select class="form-control selectric" name="type" required>
                                        <option value="">-- Select Type --</option>
                                        <option value="Full Time" {{ (old('type', $content->type ?? '') == 'Full Time') ? 'selected' : '' }}>Full Time</option>
                                        <option value="Part Time" {{ (old('type', $content->type ?? '') == 'Part Time') ? 'selected' : '' }}>Part Time</option>
                                        <option value="Internship" {{ (old('type', $content->type ?? '') == 'Internship') ? 'selected' : '' }}>Internship</option>
                                        <option value="Remote" {{ (old('type', $content->type ?? '') == 'Remote') ? 'selected' : '' }}>Remote</option>
                                    </select>
                                </div>
                            </div>

                            {{-- Description --}}
                            <div class="form-group row mb-4">
    <label class="col-form-label text-md-right col-12 col-md-3 col-lg-3">Description</label>
    <div class="col-sm-12 col-md-7">
        <textarea 
            name="description" 
            class="form-control" 
            rows="5" 
            style="min-height: 170px!important"
            required
        >{{ old('description', $content->description ?? '') }}</textarea>
    </div>
</div>


                            {{-- Submit Button --}}
                            <x-forms.primary-button>Update</x-forms.primary-button>
                        </div>
                    </x-form>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
