@extends('admin.layouts.master')

@section('title')
    Communities Manage
@endsection

@section('content')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css">
<style>
    .comment-list {
        max-height: 300px;
        overflow-y: auto;
        padding: 15px;
        background-color: #f9f9f9;
        border-radius: 8px;
        margin-top: 10px;
    }
    
    .comment-list::-webkit-scrollbar {
        width: 6px;
    }
    
    .comment-list::-webkit-scrollbar-thumb {
        background: #ccc;
        border-radius: 10px;
    }
    
    .comment-item {
        padding: 12px 15px;
        margin-bottom: 12px;
        background-color: white;
        border-radius: 8px;
        box-shadow: 0 1px 3px rgba(0,0,0,0.1);
        border-left: 3px solid #4a90e2;
    }
    
    .reply-item {
        margin-left: 30px;
        padding: 10px 12px;
        background-color: #f5f5f5;
        border-radius: 6px;
        margin-top: 10px;
        border-left: 3px solid #7cb342;
    }
    
    .user-avatar {
        width: 36px;
        height: 36px;
        border-radius: 50%;
        object-fit: cover;
        margin-right: 12px;
    }
    
    .comment-content {
        display: flex;
        margin-bottom: 8px;
    }
    
    .comment-text {
        flex: 1;
    }
    
    .comment-user {
        font-weight: 600;
        color: #333;
        margin-bottom: 4px;
    }
    
    .comment-meta {
        font-size: 12px;
        color: #777;
        margin-top: 5px;
    }
    
    .replies-toggle {
        font-size: 13px;
        color: #4a90e2;
        cursor: pointer;
        margin-top: 8px;
        display: inline-block;
        padding: 3px 8px;
        background-color: #f0f7ff;
        border-radius: 4px;
    }
    
    .replies-toggle:hover {
        background-color: #e1f0ff;
    }
    
    .replies-toggle i {
        margin-right: 5px;
        transition: transform 0.2s;
    }
    
    .replies-container {
        margin-left: 15px;
        margin-top: 10px;
        display: none;
    }
    
    .show-replies .replies-container {
        display: block;
    }
    
    .show-replies .replies-toggle i {
        transform: rotate(180deg);
    }

    /* Detail View Styles */
    .review-card {
        background: white;
        padding: 20px;
        max-width: 800px;
        margin: auto;
        border-radius: 12px;
        box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    }

    .user-info {
        display: flex;
        align-items: center;
        margin-bottom: 10px;
    }

    .avatar {
        width: 60px;
        height: 60px;
        background: #ccc;
        border-radius: 50%;
        background-size: cover;
        background-position: center;
    }

    .user-details {
        margin-left: 15px;
    }

    .name {
        font-weight: bold;
        font-size: 18px;
        display: flex;
        align-items: center;
    }

    .verified-icon {
        width: 16px;
        height: 16px;
        margin-left: 5px;
    }

    .stats span {
        font-size: 13px;
        margin-right: 12px;
        color: #555;
    }

    .rating-date {
        display: flex;
        align-items: center;
        margin: 15px 0;
    }

    .date {
        color: #555;
        font-size: 14px;
    }

    .review-text {
        font-size: 15px;
        margin-bottom: 15px;
        color: #333;
        white-space: pre-line;
    }

    .image-grid {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
        gap: 6px;
        margin-bottom: 20px;
    }

    .image-grid img {
        width: 100%;
        height: 80px;
        object-fit: cover;
        border-radius: 5px;
        cursor: pointer;
        transition: transform 0.2s;
    }

    .image-grid img:hover {
        transform: scale(1.05);
    }

    .reactions {
        display: flex;
        justify-content: space-between;
        padding-top: 10px;
        border-top: 1px solid #ddd;
    }

    .reaction {
        text-align: center;
        font-size: 14px;
        color: #555;
        cursor: pointer;
        padding: 5px 10px;
        border-radius: 5px;
        transition: background-color 0.2s;
    }

    .reaction:hover {
        background-color: #f5f5f5;
    }

    .reaction span {
        font-size: 22px;
        display: block;
        margin-bottom: 4px;
    }

    .reaction b {
        font-weight: bold;
    }

    .comments-section {
        margin-top: 20px;
        border-top: 1px solid #ddd;
        padding-top: 15px;
    }

    .comment {
        display: flex;
        margin-bottom: 15px;
    }

    .comment-avatar {
        width: 40px;
        height: 40px;
        background: #ccc;
        border-radius: 50%;
        background-size: cover;
        background-position: center;
        margin-right: 10px;
    }

    .comment-content {
        flex: 1;
    }

    .comment-user {
        font-weight: bold;
        font-size: 14px;
        margin-bottom: 5px;
    }

    .comment-text {
        font-size: 14px;
        color: #333;
        margin-bottom: 5px;
        white-space: pre-line;
    }

    .comment-date {
        font-size: 12px;
        color: #888;
    }

    .reply {
        margin-left: 30px;
        margin-top: 10px;
        padding-left: 10px;
        border-left: 2px solid #eee;
    }

    /* Modal Styles */
    .detail-modal .modal-dialog {
        max-width: 900px;
    }

    .detail-modal .modal-body {
        padding: 20px;
    }

    /* Loading Spinner */
    .loading-spinner {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 200px;
    }

    .loading-spinner .spinner-border {
        width: 3rem;
        height: 3rem;
    }
</style>

<!-- Detail Modal -->
<div class="modal fade detail-modal" id="postDetailModal" tabindex="-1" role="dialog" aria-labelledby="postDetailModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="postDetailModalLabel">Post Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="postDetailContent">
                <div class="loading-spinner">
                    <div class="spinner-border text-primary" role="status">
                        <span class="sr-only">Loading...</span>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<section class="section">
    <div class="section-body">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header d-flex justify-content-between align-items-center">
                  <h4>Communities</h4>
              </div>
              <div class="card-body">
                <div class="table-responsive">
                  <table class="table table-striped" id="table-1">
                    <thead>
                      <tr>
                        <th>No</th>
                        <th>Created By</th>
                        <th>Image</th>
                        <th>Date</th>
                        <th>Content</th>
                        <th width="320px">Engagement</th>
                        <th>Status</th>
                        <th>Actions</th>
                      </tr>
                    </thead>
                    <tbody>
                        @foreach ($posts as $key => $post)
                        <tr>
                            <td>{{ $key + 1 }}</td>
                            <td>
                                <div class="d-flex align-items-center">
                                    @if($post->user->image ?? false)
                                        <img src="{{ $post->user->image }}" class="user-avatar">
                                    @else
                                        <div class="user-avatar d-flex align-items-center justify-content-center bg-light text-dark">
                                            {{ substr($post->user->name ?? 'N/A', 0, 1) }}
                                        </div>
                                    @endif
                                    <div>{{ $post->user->name ?? 'N/A' }}</div>
                                </div>
                            </td>
                            <td>
                                @if($post->images->count() > 0)
                                    <div class="post-images">
                                        @foreach($post->images as $image)
                                            <a href="{{ asset(''.$image->image) }}" data-lightbox="post-{{ $post->id }}">
                                                <img src="{{ asset(''.$image->image) }}" 
                                                    class="img-thumbnail mr-1 mb-1" 
                                                    style="width: 60px; height: 60px; object-fit: cover;">
                                            </a>
                                        @endforeach
                                    </div>
                                @else
                                    <span class="text-muted">No Image</span>
                                @endif
                            </td>
                            <td>{{ \Carbon\Carbon::parse($post->date)->format('d M Y') }}</td>
                            <td style="max-width: 300px;">
                                <div class="post-content">
                                    @if($post->description)
                                        <p class="mb-2">{{ Str::limit($post->description, 100) }}</p>
                                    @endif
                                </div>
                            </td>
                            <td>
                                <div class="engagement-stats">
                                    <span class="badge badge-light mr-2" data-toggle="tooltip" title="Reactions">
                                        <i class="fas fa-heart text-danger"></i> {{ $post->reactions->count() }}
                                    </span>
                                    <span class="badge badge-light" data-toggle="tooltip" title="Comments">
                                        <i class="fas fa-comment text-primary"></i> {{ $post->comments->count() }}
                                    </span>
                                </div>
                                
                                <!-- Comments Preview (hidden by default) -->
                                <div class="comments-preview mt-2" style="display: none;">
                                    @if($post->comments->count() > 0)
                                        <div class="comment-list">
                                            @foreach($post->comments as $comment)
                                            <div class="comment-item">
                                                <div class="comment-content">
                                                    @if($comment->user->image ?? false)
                                                        <img src="{{ $comment->user->image }}" class="user-avatar">
                                                    @else
                                                        <div class="user-avatar d-flex align-items-center justify-content-center bg-light text-dark">
                                                            {{ substr($comment->user->name ?? 'U', 0, 1) }}
                                                        </div>
                                                    @endif
                                                    <div class="comment-text">
                                                        <div class="comment-user">{{ $comment->user->name ?? 'User' }}</div>
                                                        <div>{{ $comment->content }}</div>
                                                        <div class="comment-meta">
                                                            {{ \Carbon\Carbon::parse($comment->created_at)->diffForHumans() }}
                                                        </div>
                                                    </div>
                                                </div>
                                                
                                                @if($comment->replies->count() > 0)
                                                    <div class="replies-toggle" onclick="toggleReplies(this, event)">
                                                        <i class="fas fa-chevron-down"></i> 
                                                        {{ $comment->replies->count() }} replies
                                                    </div>
                                                    <div class="replies-container">
                                                        @foreach($comment->replies as $reply)
                                                        <div class="reply-item">
                                                            <div class="comment-content">
                                                                @if($reply->user->image ?? false)
                                                                    <img src="{{ $reply->user->image }}" class="user-avatar">
                                                                @else
                                                                    <div class="user-avatar d-flex align-items-center justify-content-center bg-light text-dark">
                                                                        {{ substr($reply->user->name ?? 'U', 0, 1) }}
                                                                    </div>
                                                                @endif
                                                                <div class="comment-text">
                                                                    <div class="comment-user">{{ $reply->user->name ?? 'User' }}</div>
                                                                    <div>{{ $reply->content }}</div>
                                                                    <div class="comment-meta">
                                                                        {{ \Carbon\Carbon::parse($reply->created_at)->diffForHumans() }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endforeach
                                                    </div>
                                                @endif
                                            </div>
                                            @endforeach
                                        </div>
                                    @else
                                        <small class="text-muted">No comments yet</small>
                                    @endif
                                </div>
                            </td>
                            <td>
                                <span class="badge badge-{{ $post->status == '0' ? 'success' : 'secondary' }}">
                                    {{ $post->status == '0' ? 'Active' : 'Inactive' }}
                                </span>
                            </td>
                            <td>
                                <div class="d-flex">
                                    @can('community-edit')
                                    <a href="{{ route('posts.status',$post->id) }}" 
                                      class="btn btn-sm btn-{{ $post->status == '1' ? 'success' : 'danger' }} mr-1"
                                      data-toggle="tooltip" 
                                      title="{{ $post->status == '1' ? 'Activate Post' : 'Deactivate Post' }}">
                                        <i class="fa {{ $post->status == '1' ? 'fa-check' : 'fa-times' }}"></i>
                                    </a>
                                    @endcan
                                    
                                    <button class="btn btn-sm btn-info toggle-comments" 
                                            data-post-id="{{ $post->id }}"
                                            data-toggle="tooltip"
                                            title="View Engagement">
                                        <i class="fas fa-eye"></i>
                                    </button>
                                    
                                    <!-- Detail icon -->
                                    <a href="{{ route('posts.show', $post->id) }}" 
                                     class="btn btn-sm btn-primary ml-1"
                                      data-toggle="tooltip"
                                       title="View Details">
                                       Details
                                     </a>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
</section>
@endsection

@push('js')
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@7.29.1/dist/sweetalert2.all.min.js"></script>

    <script type="text/javascript">
        function deleteItem(id) {
            const swalWithBootstrapButtons = swal.mixin({
                confirmButtonClass: 'btn btn-success',
                cancelButtonClass: 'btn btn-danger',
                buttonsStyling: false,
            })

            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete it!',
                cancelButtonText: 'No, cancel!',
                reverseButtons: true
            }).then((result) => {
                if (result.value) {
                    event.preventDefault();
                    document.getElementById('delete-form-'+id).submit();
                } else if (
                    result.dismiss === swal.DismissReason.cancel
                ) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your data is safe :)',
                        'error'
                    )
                }
            })
        }
        
        function toggleReplies(element, event) {
            event.stopPropagation();
            
            const container = element.nextElementSibling;
            const icon = element.querySelector('i');
            
            if (container.style.display === 'none' || !container.style.display) {
                container.style.display = 'block';
                icon.classList.remove('fa-chevron-down');
                icon.classList.add('fa-chevron-up');
            } else {
                container.style.display = 'none';
                icon.classList.remove('fa-chevron-up');
                icon.classList.add('fa-chevron-down');
            }
        }

        $(document).ready(function() {
            $('[data-toggle="tooltip"]').tooltip();
            
            $('.toggle-comments').click(function(e) {
                e.stopPropagation();
                const postId = $(this).data('post-id');
                const commentsPreview = $(this).closest('tr').find('.comments-preview');
                
                commentsPreview.slideToggle();
                
                const icon = $(this).find('i');
                if (icon.hasClass('fa-eye')) {
                    icon.removeClass('fa-eye').addClass('fa-eye-slash');
                } else {
                    icon.removeClass('fa-eye-slash').addClass('fa-eye');
                }
            });
            
            $(document).click(function(e) {
                if (!$(e.target).closest('.comments-preview, .toggle-comments').length) {
                    $('.comments-preview').slideUp();
                    $('.toggle-comments i').removeClass('fa-eye-slash').addClass('fa-eye');
                }
            });

            lightbox.option({
                'resizeDuration': 200,
                'wrapAround': true,
                'showImageNumberLabel': true
            });

            // Detail View AJAX
            $('.view-detail').click(function() {
                const postId = $(this).data('post-id');
                const modal = $('#postDetailModal');
                const content = $('#postDetailContent');
                
                // Show loading state
                content.html(`
                    <div class="loading-spinner">
                        <div class="spinner-border text-primary" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                    </div>
                `);
                modal.modal('show');
                
                // Make AJAX request
                $.ajax({
                    url: "{{ route('posts.show', '') }}/" + postId,
                    type: 'GET',
                    dataType: 'json',
                    headers: {
                        'X-Requested-With': 'XMLHttpRequest',
                        'Accept': 'application/json'
                    },
                    success: function(response) {
                        if (response.status === 1 && response.data) {
                            const post = response.data;
                            
                            // Format the date
                            const postDate = new Date(post.created_at);
                            const formattedDate = postDate.toLocaleDateString('en-US', { 
                                year: 'numeric', 
                                month: 'short', 
                                day: 'numeric' 
                            });
                            
                            // Build images grid
                            let imagesHtml = '';
                            if (post.images && post.images.length > 0) {
                                imagesHtml = '<div class="image-grid">';
                                post.images.forEach(image => {
                                    imagesHtml += `
                                        <img src="${image.image}" 
                                             alt="Post image" 
                                             onclick="window.open('${image.image}', '_blank')"
                                             title="Click to view full image">`;
                                });
                                imagesHtml += '</div>';
                            }
                            
                            // Build comments section
                            let commentsHtml = '';
                            if (post.comments && post.comments.length > 0) {
                                commentsHtml = '<div class="comments-section"><h3>Comments (' + post.comments.length + ')</h3>';
                                
                                post.comments.forEach(comment => {
                                    const commentDate = new Date(comment.created_at);
                                    const formattedCommentDate = commentDate.toLocaleDateString('en-US', { 
                                        year: 'numeric', 
                                        month: 'short', 
                                        day: 'numeric' 
                                    });
                                    
                                    commentsHtml += `
                                        <div class="comment">
                                            <div class="comment-avatar" style="background-image: url('${comment.user.image}')"></div>
                                            <div class="comment-content">
                                                <div class="comment-user">${comment.user.name}</div>
                                                <div class="comment-text">${comment.content}</div>
                                                <div class="comment-date">${formattedCommentDate}</div>`;
                                    
                                    // Add replies if any
                                    if (comment.replies && comment.replies.length > 0) {
                                        comment.replies.forEach(reply => {
                                            const replyDate = new Date(reply.created_at);
                                            const formattedReplyDate = replyDate.toLocaleDateString('en-US', { 
                                                year: 'numeric', 
                                                month: 'short', 
                                                day: 'numeric' 
                                            });
                                            
                                            commentsHtml += `
                                                <div class="reply">
                                                    <div class="comment-avatar" style="background-image: url('${reply.user.image}')"></div>
                                                    <div class="comment-content">
                                                        <div class="comment-user">${reply.user.name}</div>
                                                        <div class="comment-text">${reply.content}</div>
                                                        <div class="comment-date">${formattedReplyDate}</div>
                                                    </div>
                                                </div>`;
                                        });
                                    }
                                    
                                    commentsHtml += `</div></div>`;
                                });
                                
                                commentsHtml += '</div>';
                            }
                            
                            // Build the full HTML
                            const html = `
                                <div class="review-card">
                                    <div class="user-info">
                                        <div class="avatar" style="background-image: url('${post.user.image}')"></div>
                                        <div class="user-details">
                                            <div class="name">
                                                ${post.user.name} <img src="/verified-icon.png" alt="verified" class="verified-icon">
                                            </div>
                                            <div class="stats">
                                                <span>📷 ${post.images ? post.images.length : 0}</span>
                                                <span>💬 ${post.comments ? post.comments.length : 0}</span>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="rating-date">
                                        <div class="date">${formattedDate}</div>
                                    </div>

                                    <p class="review-text">
                                        ${post.description || 'No description provided'}
                                    </p>

                                    ${imagesHtml}

                                    <div class="reactions">
                                        <div class="reaction">
                                            <span>👍</span>
                                            <p>Helpful<br><b>${post.likes_count || 0}</b></p>
                                        </div>
                                        <div class="reaction">
                                            <span>👏</span>
                                            <p>Thanks<br><b>0</b></p>
                                        </div>
                                        <div class="reaction">
                                            <span>❤️</span>
                                            <p>Love this<br><b>0</b></p>
                                        </div>
                                        <div class="reaction">
                                            <span>😕</span>
                                            <p>Oh no<br><b>${post.dislikes_count || 0}</b></p>
                                        </div>
                                    </div>

                                    ${commentsHtml}
                                </div>
                            `;
                            
                            content.html(html);
                        } else {
                            content.html(`
                                <div class="alert alert-danger">
                                    <i class="fas fa-exclamation-circle"></i> 
                                    ${response.message || 'Failed to load post details'}
                                </div>
                            `);
                        }
                    },
                    error: function(xhr, status, error) {
                        let errorMessage = 'Error loading post details';
                        
                        if (xhr.responseJSON && xhr.responseJSON.message) {
                            errorMessage = xhr.responseJSON.message;
                        } else if (xhr.statusText) {
                            errorMessage = xhr.statusText;
                        }
                        
                        content.html(`
                            <div class="alert alert-danger">
                                <i class="fas fa-exclamation-circle"></i> 
                                ${errorMessage}
                                ${xhr.status ? `(Status: ${xhr.status})` : ''}
                            </div>
                        `);
                        
                        // Log full error to console for debugging
                        console.error('Error loading post details:', error);
                        console.error('XHR:', xhr);
                    }
                });
            });
        });
    </script>
@endpush